% Script/Function Filename:
%     approximatorGUI.m
% Purpose:
%     Enter the purpose of the function/file here
%     
% Record of modifications:
%     Programmer(s): {Your Name}
%     Date Due: YYYY-MM-DD
%     Date Submitted: YYYY-MM-DD
%     References: ????
%     Help Received: ????
%     
% Variables Used:
%     Enter the variables that you use here
theta = uicontrol( 'style' , 'slider' , 'units' , 'normalized' , ...
    'position' , [ 0 0 1 0.05 ] , 'min' , 0 , 'max' , 360 , 'value' , 0 );
addlistener( theta , 'ContinuousValueChange' , @getApproximation );
axes;
ax = gca;
approx = plot( 0 , 1 , 'rx' , 'markersize' , 40 );
hold on;
actual = plot( 0 , 1 , 'gx' , 'markersize' , 40 );
hold off;
set( ax , 'XLim' , [ 0 360 ] , 'YLim' , [ -1 1 ] , 'position' , ...
    [ 0 0.2 1 0.8 ] , 'XLimMode' , 'manual' , 'YLimMode' , 'manual' );
%axis equal
comparison = sprintf( '%.4f vs %.4f' , 1 , 1 );
txt = text( 0 , 0 , 1 , comparison );
set( 0 , 'UserData' , { theta approx actual txt } );